LoaderDialog=function(c){this.totalLength=c;this.progress=0};
LoaderDialog.prototype={start:function(){document.getElementById("bodyContainer").style.visibility="hidden";var c=document.getElementById("mainBody"),b=document.createElement("div"),a=document.createElement("img");a.src="inkchat_logo.png";a.style.width="200px";a.style.height="200px";c.style.backgroundColor="FFFFFF";var d=window.innerHeight/2,e=window.innerWidth/2;a.style.top=d-80-10+"px";a.style.left=e-80+"px";a.style.position="absolute";a.style.height="160px";a.style.width="160px";a.width=160;a.height=
160;a.id="logoLoader";b.appendChild(a);a=document.createElement("canvas");a.style.width="200px";a.style.height="10px";a.width=200;a.height=10;a.id="loaderPosition";a.style.top=d+90+"px";a.style.position="absolute";a.style.left=e-100+"px";d=a.getContext("2d");d.beginPath();d.fillStyle="#CCCCCC";d.lineWidth=10;d.lineCap="round";d.moveTo(5,5);d.lineTo(195,5);d.stroke();b.appendChild(a);b.id="loaderContainer";c.appendChild(b)},end:function(){var c=document.getElementById("loaderContainer");$(c).fadeOut(100,
function(){c.parentNode.removeChild(c)});document.getElementById("bodyContainer").style.visibility="visible"},step:function(){this.progress++;this._updateCompletion(this.progress/this.totalLength)},_updateCompletion:function(c){var b=document.getElementById("loaderPosition").getContext("2d");b.beginPath();b.fillStyle="#666666";b.lineWidth=10;b.lineCap="round";b.moveTo(5,5);b.lineTo(195*c,5);b.stroke()}};
